﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
         IList resources = null;
        ICollection appointments = null;
        this.WebScheduleInfo1.AppointmentFormPath = "Forms/AppointmentAdd.aspx";
        this.WebScheduleInfo1.ReminderFormPath = "Forms/Reminder.aspx";


        if (Session["WebSchdeuleObjects"]==null)
        {
            resources = GetResources();

            appointments = GetAppointments(resources);

            Session["WebSchdeuleObjects"] = new object[] { resources, appointments };
        }
        else
        {
            object[] objects = Session["WebSchdeuleObjects"] as object[];

            resources = objects[0] as IList;
            appointments = objects[1] as ICollection;
        }

      
     
            WebScheduleGenericProviderBindings();
            WebScheduleGenericDataProvider1.ActivityDataSource = appointments;
            WebScheduleGenericDataProvider1.VarianceDataSource = appointments;

            WebScheduleGenericDataProvider1.ResourceDataSource = resources;
        
    }

      private IList GetAppointments(IList resources)
    {
        List<MyAppointment> appointments = new List<MyAppointment>();

        appointments.Add(
                 CreateAppointment(1, DateTime.Today.AddHours(9), 3600, "Sales Expo", "NYC", "Description", false, ((MyResource)resources[0]).ID.ToString())
                 );

        appointments.Add(
            CreateAppointment(2, DateTime.Today.AddDays(3).AddHours(14), 4000, "Win 7 Rollout ", "US", "Description", false, ((MyResource)resources[0]).ID.ToString())
            );

        appointments.Add(
            CreateAppointment(3, DateTime.Today.AddDays(5).AddHours(11), 4600, "Finalise Merger", "Milan", "Description", false, ((MyResource)resources[0]).ID.ToString())
            );


        appointments.Add(
           CreateAppointment(4, DateTime.Today.AddDays(10).AddHours(13), 3600, "Tour Sites", "India", "Description", false, ((MyResource)resources[1]).ID.ToString())
           );


        appointments.Add(
            CreateAppointment(5, DateTime.Today.AddDays(-3).AddHours(10), 4600, "Roadshow", "Abu Dhabi", "Description", false, ((MyResource)resources[1]).ID.ToString())
            );

        appointments.Add(
            CreateAppointment(6, DateTime.Today.AddDays(-10).AddHours(13), 3200, "VC Golf", "Country Club", "Description", false, ((MyResource)resources[1]).ID.ToString())
            );


        appointments.Add(
            CreateAppointment(7, DateTime.Today.AddDays(-15).AddHours(13), 3600, "Conf Call", "London", "Description", false, ((MyResource)resources[2]).ID.ToString())
            );

        appointments.Add(
            CreateAppointment(8, DateTime.Today.AddDays(-20).AddHours(9), 3600 * 24 * 2, "DevReach Conference", "Sofia",
            "The fourth edition of the premier developer conference on Microsoft technologies in SEE", true, ((MyResource)resources[2]).ID.ToString())
            );

        return appointments;
    }

    private IList GetResources()
    {
        List<MyResource> resources = new List<MyResource>();

        resources.Add(new MyResource(1, "Allyson Tuley", "Allyson Tuley", "aTuley@resources.com"));
        resources.Add(new MyResource(2, "Ted Redfern", "Ted Redfern", "tRedfern@resources.com"));
        resources.Add(new MyResource(3, "Jamie Gadomski", "Jamie Gadomski", "jGadomski@resources.com"));

        return resources;
    }

    protected MyAppointment CreateAppointment(int id, DateTime startDateTime, int appointmentDuration,
        string appName, string location, string appDescription, bool allDayEvent, string resourceID)
    {
        return new MyAppointment(
                    id,
                    startDateTime.ToUniversalTime(),
                    appointmentDuration,
                    appName,
                    allDayEvent,
                    location,
                    appDescription,
                    1,
                    false,
                    1,
                    1,
                    Guid.NewGuid().ToString(),
                    null,
                    -1,
                    null,
                    resourceID
                );
    }



    protected void WebScheduleGenericProviderBindings()
    {
        WebScheduleGenericDataProvider1.AppointmentBinding.DescriptionMember = "Description";
        WebScheduleGenericDataProvider1.AppointmentBinding.DataKeyMember = "ID";
        WebScheduleGenericDataProvider1.AppointmentBinding.DurationMember = "Duration";
        WebScheduleGenericDataProvider1.AppointmentBinding.EnableReminderMember = "EnableReminders";
        WebScheduleGenericDataProvider1.AppointmentBinding.LocationMember = "Location";
        WebScheduleGenericDataProvider1.AppointmentBinding.OriginalStartDateTimeUtcMember = "OriginalStartDateTimeUtc";
        WebScheduleGenericDataProvider1.AppointmentBinding.RecurrenceKeyMember = "RecurrenceID";
        WebScheduleGenericDataProvider1.AppointmentBinding.ResourceKeyMember = "ResourceKey";
        WebScheduleGenericDataProvider1.AppointmentBinding.AllDayEventMember = "AllDayEvent";
        WebScheduleGenericDataProvider1.AppointmentBinding.RecurrencePatternMember = "RecurrencePattern";
        WebScheduleGenericDataProvider1.AppointmentBinding.ShowTimeAsMember = "ShowTimeAs";
        WebScheduleGenericDataProvider1.AppointmentBinding.StartDateTimeUtcMember = "StartDateTimeUtc";
        WebScheduleGenericDataProvider1.AppointmentBinding.StatusMember = "Status";
        WebScheduleGenericDataProvider1.AppointmentBinding.SubjectMember = "Subject";
        WebScheduleGenericDataProvider1.AppointmentBinding.VarianceKeyMember = "VarianceID";
        WebScheduleGenericDataProvider1.AppointmentBinding.ImportanceMember = "Importance";

        WebScheduleGenericDataProvider1.VarianceBinding.DescriptionMember = "Description";
        WebScheduleGenericDataProvider1.VarianceBinding.DataKeyMember = "ID";
        WebScheduleGenericDataProvider1.VarianceBinding.DurationMember = "Duration";
        WebScheduleGenericDataProvider1.VarianceBinding.EnableReminderMember = "EnableReminders";
        WebScheduleGenericDataProvider1.VarianceBinding.LocationMember = "Location";
        WebScheduleGenericDataProvider1.VarianceBinding.OriginalStartDateTimeUtcMember = "OriginalStartDateTimeUtc";
        WebScheduleGenericDataProvider1.VarianceBinding.RecurrenceKeyMember = "RecurrenceID";
        WebScheduleGenericDataProvider1.VarianceBinding.ResourceKeyMember = "ResourceKey";
        WebScheduleGenericDataProvider1.VarianceBinding.AllDayEventMember = "AllDayEvent";
        WebScheduleGenericDataProvider1.VarianceBinding.RecurrencePatternMember = "RecurrencePattern";
        WebScheduleGenericDataProvider1.VarianceBinding.ShowTimeAsMember = "ShowTimeAs";
        WebScheduleGenericDataProvider1.VarianceBinding.StartDateTimeUtcMember = "StartDateTimeUtc";
        WebScheduleGenericDataProvider1.VarianceBinding.StatusMember = "Status";
        WebScheduleGenericDataProvider1.VarianceBinding.SubjectMember = "Subject";
        WebScheduleGenericDataProvider1.VarianceBinding.VarianceKeyMember = "VarianceID";
        WebScheduleGenericDataProvider1.VarianceBinding.ImportanceMember = "Importance";

        WebScheduleGenericDataProvider1.ResourceBinding.DataKeyMember = "ID";
        WebScheduleGenericDataProvider1.ResourceBinding.NameMember = "ResourceName";
        WebScheduleGenericDataProvider1.ResourceBinding.DescriptionMember = "ResourceDescription";
        WebScheduleGenericDataProvider1.ResourceBinding.EmailAddressMember = "EmailAddress";
    }

    protected void WebScheduleInfo1_ActivityAdding(object sender, Infragistics.WebUI.WebSchedule.CancelableActivityEventArgs e)
    {
        e.Cancel = true;
   //     Thread.Sleep(1000);


           object[] objects = Session["WebSchdeuleObjects"] as object[];
           IList resources = objects[0] as IList;
           List<MyAppointment> appointments = objects[1] as List<MyAppointment>;

           Infragistics.WebUI.WebSchedule.Appointment addedAppointment = (Infragistics.WebUI.WebSchedule.Appointment)e.Activity;
           MyAppointment appointment = new MyAppointment();


           appointment.ID = appointments.Count + 1;
           appointment.StartDateTimeUtc = new DateTime(e.Activity.StartDateTimeUtc.Year, e.Activity.StartDateTimeUtc.Month, e.Activity.StartDateTimeUtc.Day, e.Activity.StartDateTimeUtc.Hour, e.Activity.StartDateTimeUtc.Minute, e.Activity.StartDateTimeUtc.Second);
           appointment.Duration = e.Activity.Duration.Days;
           appointment.Subject = addedAppointment.Subject;
           appointment.AllDayEvent = e.Activity.AllDayEvent;
           appointment.Location = addedAppointment.Location;
           appointment.Description = addedAppointment.Description;

           appointment.ResourceKey = e.Activity.ResourceKey ;
  
           appointments.Add(appointment);

           Session.Remove("WebScheduleObjects");
           Session["WebScheduleObjects"] = new object[] { resources, appointments };

           WebScheduleGenericDataProvider1.ActivityDataSource = appointments;
           WebScheduleGenericDataProvider1.ResourceDataSource = resources;
           WebScheduleGenericDataProvider1.DataBind();

           WebScheduleInfo1.DataBind();



           WebMonthView1.DataBind();
    }
    protected void WebScheduleInfo1_ActivityDeleting(object sender, Infragistics.WebUI.WebSchedule.CancelableActivityEventArgs e)
    {

    }
    protected void WebScheduleInfo1_ActivityUpdating(object sender, Infragistics.WebUI.WebSchedule.CancelableActivityEventArgs e)
    {
        object[] objects = Session["WebSchdeuleObjects"] as object[];
        IList resources = objects[0] as IList;
        List<MyAppointment> appointments = objects[1] as List<MyAppointment>;  


       var app = appointments.Select(x => x).Where(x => x.ID == Convert.ToInt32(e.Activity.Key));

       Infragistics.WebUI.WebSchedule.Appointment updatedAppointment = (Infragistics.WebUI.WebSchedule.Appointment)e.Activity;

       MyAppointment currentApp = app.ToArray()[0];
       currentApp.StartDateTimeUtc = new DateTime(e.Activity.StartDateTimeUtc.Year, e.Activity.StartDateTimeUtc.Month, e.Activity.StartDateTimeUtc.Day, e.Activity.StartDateTimeUtc.Hour, e.Activity.StartDateTimeUtc.Minute, e.Activity.StartDateTimeUtc.Second);
       currentApp.Duration = e.Activity.Duration.Days;
       currentApp.Subject = updatedAppointment.Subject;
       currentApp.AllDayEvent = e.Activity.AllDayEvent;
       currentApp.Location = updatedAppointment.Location;
       currentApp.Description = updatedAppointment.Description;

    }
    protected void WebScheduleInfo1_VarianceAdding(object sender, Infragistics.WebUI.WebSchedule.CancelableActivityEventArgs e)
    {
        e.Cancel = true;

        //handle some variance adding
    }
}